Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Public Member Functions
proofs::LigeroProver< Field, InterpolatorFactory > Class Template Reference

## Public Member Functions
| LigeroProver (const LigeroParam< Field > &p)
void | commit (LigeroCommitment< Field > &commitment, Transcript &ts, const Elt W[], const size_t subfield_boundary, const LigeroQuadraticConstraint lqc[], const InterpolatorFactory &interpolator, RandomEngine &rng, const Field &F)
void | prove (LigeroProof< Field > &proof, Transcript &ts, size_t nl, size_t nllterm, const LigeroLinearConstraint< Field > llterm[], const LigeroHash &hash_of_llterm, const LigeroQuadraticConstraint lqc[], const InterpolatorFactory &interpolator, const Field &F)

The documentation for this class was generated from the following file:

- lib/ligero/ligero_prover.h